<AnimatedContainer>
  {{#animated-if @selectedDaytime use=this.transition}}
    <h3 class="text-bold font-black pt-4 pb-2">
      Selected part of day:
    </h3>
    <button
      class="bg-purple-500 text-white font-bold py-2 px-6 rounded-full"
      type="button"
      {{on "click" (fn @selectDaytime null)}}
    >
      {{@selectedDaytime.name}}
      (
      {{moment-format @selectedDaytime.start "ha"}}
      -
      {{moment-format @selectedDaytime.end "ha"}}
      )
      <FaIcon @icon="window-close" class="ml-2" />
    </button>
  {{else}}
    <h3 class="text-bold font-black pt-4 pb-2">
      Pick part of the day
    </h3>
    <ul class="w-full flex items-stretch">
      {{#each this.daytimes as |daytime|}}
        <li class="w-1/4 flex flex-col">
          {{#if (eq daytime.name "morning")}}
            <Booking::DaytimePicker::Button
              class="bg-purple-400"
              @daytime={{daytime}}
              @selectDaytime={{@selectDaytime}}
            />
          {{else if (eq daytime.name "noon")}}
            <Booking::DaytimePicker::Button
              class="bg-purple-100"
              @daytime={{daytime}}
              @selectDaytime={{@selectDaytime}}
            />
          {{else if (eq daytime.name "afternoon")}}
            <Booking::DaytimePicker::Button
              class="bg-purple-300"
              @daytime={{daytime}}
              @selectDaytime={{@selectDaytime}}
            />
          {{else if (eq daytime.name "evening")}}
            <Booking::DaytimePicker::Button
              class="bg-purple-800 text-purple-100"
              @daytime={{daytime}}
              @selectDaytime={{@selectDaytime}}
            />
          {{/if}}
        </li>
      {{/each}}
    </ul>
  {{/animated-if}}
</AnimatedContainer>